/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.ClaseServicio;
import com.rjconsultores.ventaboletos.entidad.TipoIdentificacion;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderTipoIdentificacion implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        TipoIdentificacion tipoIdentificacion = (TipoIdentificacion) o;

        Listcell lc = new Listcell(tipoIdentificacion.getTipoIdentificacionId().toString());
        lc.setParent(lstm);

        lc = new Listcell(tipoIdentificacion.getDesctipo());
        lc.setParent(lstm);

        lstm.setAttribute("data", tipoIdentificacion);
    }
}
